Package de.geolykt.starloader.launcher.service

# Class SLMixinLogger

java.lang.Object
de.geolykt.starloader.launcher.service.SLMixinLogger

All Implemented Interfaces:
  `org.spongepowered.asm.logging.ILogger`

public class SLMixinLogger extends Object implements org.spongepowered.asm.logging.ILogger

## Constructor Summary

Constructors
Constructor
Description
`SLMixinLogger(@NotNull String id)`

## Method Summary

Modifier and Type
Method
Description
`void`
`catching(Throwable t)`
`void`
`catching(org.spongepowered.asm.logging.Level level, Throwable t)`
`void`
`debug(String message, Object... params)`
`void`
`debug(String message, Throwable t)`
`void`
`error(String message, Object... params)`
`void`
`error(String message, Throwable t)`
`void`
`fatal(String message, Object... params)`
`void`
`fatal(String message, Throwable t)`
`String`
`getId()`
`String`
`getType()`
`void`
`info(String message, Object... params)`
`void`
`info(String message, Throwable t)`
`void`
`log(org.spongepowered.asm.logging.Level level, String message, Object... params)`
`void`
`log(org.spongepowered.asm.logging.Level level, String message, Throwable t)`
`<T extends Throwable>
T`
`throwing(T t)`
`void`
`trace(String message, Object... params)`
`void`
`trace(String message, Throwable t)`
`void`
`warn(String message, Object... params)`
`void`
`warn(String message, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SLMixinLogger

public SLMixinLogger(@NotNull @NotNull String id)

## Method Details

### catching

public void catching(org.spongepowered.asm.logging.Level level, Throwable t)

Specified by:
  `catching` in interface `org.spongepowered.asm.logging.ILogger`

### catching

public void catching(Throwable t)

Specified by:
  `catching` in interface `org.spongepowered.asm.logging.ILogger`

### debug

public void debug(String message, Object... params)

Specified by:
  `debug` in interface `org.spongepowered.asm.logging.ILogger`

### debug

public void debug(String message, Throwable t)

Specified by:
  `debug` in interface `org.spongepowered.asm.logging.ILogger`

### error

public void error(String message, Object... params)

Specified by:
  `error` in interface `org.spongepowered.asm.logging.ILogger`

### error

public void error(String message, Throwable t)

Specified by:
  `error` in interface `org.spongepowered.asm.logging.ILogger`

### fatal

public void fatal(String message, Object... params)

Specified by:
  `fatal` in interface `org.spongepowered.asm.logging.ILogger`

### fatal

public void fatal(String message, Throwable t)

Specified by:
  `fatal` in interface `org.spongepowered.asm.logging.ILogger`

### getId

public String getId()

Specified by:
  `getId` in interface `org.spongepowered.asm.logging.ILogger`

### getType

public String getType()

Specified by:
  `getType` in interface `org.spongepowered.asm.logging.ILogger`

### info

public void info(String message, Object... params)

Specified by:
  `info` in interface `org.spongepowered.asm.logging.ILogger`

### info

public void info(String message, Throwable t)

Specified by:
  `info` in interface `org.spongepowered.asm.logging.ILogger`

### log

public void log(org.spongepowered.asm.logging.Level level, String message, Object... params)

Specified by:
  `log` in interface `org.spongepowered.asm.logging.ILogger`

### log

public void log(org.spongepowered.asm.logging.Level level, String message, Throwable t)

Specified by:
  `log` in interface `org.spongepowered.asm.logging.ILogger`

### throwing

public <T extends Throwable> T throwing(T t)

Specified by:
  `throwing` in interface `org.spongepowered.asm.logging.ILogger`

### trace

public void trace(String message, Object... params)

Specified by:
  `trace` in interface `org.spongepowered.asm.logging.ILogger`

### trace

public void trace(String message, Throwable t)

Specified by:
  `trace` in interface `org.spongepowered.asm.logging.ILogger`

### warn

public void warn(String message, Object... params)

Specified by:
  `warn` in interface `org.spongepowered.asm.logging.ILogger`

### warn

public void warn(String message, Throwable t)

Specified by:
  `warn` in interface `org.spongepowered.asm.logging.ILogger`